Debian Bug report logs - #610337
live-snapshot.exclude_list comment problem

version graph

Package: live-boot; Maintainer for live-boot is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-boot is src:live-boot.

Reported by: Csaba Kormendy <ckormendy.dev@gmail.com>

Date: Mon, 17 Jan 2011 18:30:01 UTC

Severity: normal

Found in version live-boot/2.0.11-1

Fixed in version live-boot/3.0~a22-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ckormendy.dev@gmail.com, Debian Live Project <debian-live@lists.debian.org>:
Bug#610337; Package live-boot. (Mon, 17 Jan 2011 18:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Csaba Kormendy <ckormendy.dev@gmail.com>:
New Bug report received and forwarded. Copy sent to ckormendy.dev@gmail.com, Debian Live Project <debian-live@lists.debian.org>. (Mon, 17 Jan 2011 18:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Csaba Kormendy <ckormendy.dev@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-boot: Using live-snapshot.exclude_list without live-snapshot.list results in empty snapshot file
Date: Mon, 17 Jan 2011 10:27:34 -0800
Package: live-boot
Version: 2.0.11-1
Severity: normal

Using /etc/live-snapshot.exclude_list without /etc/live-snapshot.list results
in empty snapshot file.

To reproduce:

1) Boot system using debian-sq-live-rc1-i386-gnome-desktop.iso from USB flash
device, memory stick, etc.
2) Use boot parameters: initrd=/live/initrd1.img boot=live config persistent
quickreboot timezone=America/Los_Angeles BOOT_IMAGE=/live/vmlinuz1
3) After booting has completed, enter "sudo live-snapshot" at shell prompt.
4) Copy the resultant live-sn.cpio.gz file to root directory of USB flash
device.
5) Boot system again using the same boot parameters as in step 2.
6) Copy /usr/share/doc/live-boot/examples/live-snapshot.exclude_list to /etc
/live-snapshot.exclude_list.
7) Delete all comments (lines beginning with "#") from /etc/live-
snapshot.exclude_list.
8) Shut down the system and inspect the live-sn.cpio.gz file.

It appears as though using /etc/live-snapshot.exclude_list seems to require
having a /etc/live-snapshot.list file present.



-- Package-specific info:

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-boot depends on:
ii  live-boot-initramfs-tools [li 2.0.11-1   Debian Live - System Boot Scripts 

Versions of packages live-boot recommends:
ii  eject           2.1.5+deb1+cvs20081104-7 ejects CDs and operates CD-Changer
ii  file            5.04-5                   Determines file type using "magic"
ii  rsync           3.0.7-2                  fast remote file copy program (lik
ii  uuid-runtime    2.17.2-3.3               runtime components for the Univers

Versions of packages live-boot suggests:
pn  cryptsetup                    <none>     (no description available)
pn  curlftpfs                     <none>     (no description available)
pn  httpfs2                       <none>     (no description available)
pn  unionfs-fuse                  <none>     (no description available)
ii  wget                          1.12-2.1   retrieves files from the web

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#610337; Package live-boot. (Mon, 17 Jan 2011 18:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Csaba Kormendy <ckormendy.dev@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 17 Jan 2011 18:57:03 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Csaba Kormendy <ckormendy.dev@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#610337: live-boot: Using live-snapshot.exclude_list without live-snapshot.list results in empty snapshot file
Date: Mon, 17 Jan 2011 10:53:36 -0800
[Message part 1 (text/plain, inline)]
On Mon, Jan 17, 2011 at 10:27 AM, Csaba Kormendy <ckormendy.dev@gmail.com>wrote:

>
> To reproduce:
>
> 1) Boot system using debian-sq-live-rc1-i386-gnome-desktop.iso from USB
> flash
> device, memory stick, etc.
> 2) Use boot parameters: initrd=/live/initrd1.img boot=live config
> persistent
> quickreboot timezone=America/Los_Angeles BOOT_IMAGE=/live/vmlinuz1
> 3) After booting has completed, enter "sudo live-snapshot" at shell prompt.
> 4) Copy the resultant live-sn.cpio.gz file to root directory of USB flash
> device.
> 5) Boot system again using the same boot parameters as in step 2.
> 6) Copy /usr/share/doc/live-boot/examples/live-snapshot.exclude_list to
> /etc
> /live-snapshot.exclude_list.
> 7) Delete all comments (lines beginning with "#") from /etc/live-
> snapshot.exclude_list.
> 8) Shut down the system and inspect the live-sn.cpio.gz file.
>
> It appears as though using /etc/live-snapshot.exclude_list seems to require
> having a /etc/live-snapshot.list file present.
>

My apologies...  I should have retested following the procedure I wrote
above before submitting the bug.  Using the procedure above, I do not end up
with an empty snapshot file after all.  The issue is not the
presence/absence of  the /etc/live-snapshot.list file.  The problem seems to
be related to the comments that I removed in step 7.  If I omit step 7 and
leave the comments in, that's when I get the empty snapshot file (even
if /etc/live-snapshot.list is present).

Can this bug report be edited to change the description, or should this bug
be closed and a new one created?


Csaba
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#610337; Package live-boot. (Mon, 17 Jan 2011 19:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 17 Jan 2011 19:51:08 GMT) Full text and rfc822 format available.

Message #15 received at 610337@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Csaba Kormendy <ckormendy.dev@gmail.com>
Cc: 610337@bugs.debian.org
Subject: Re: Bug#610337: live-boot: Using live-snapshot.exclude_list without live-snapshot.list results in empty snapshot file
Date: Mon, 17 Jan 2011 20:47:03 +0100
On 01/17/2011 07:53 PM, Csaba Kormendy wrote:
> Can this bug report be edited to change the description, or should this
> bug be closed and a new one created?

you can change the title through a mail interface, see
http://www.debian.org/Bugs/server-refcard

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Changed Bug title to 'live-boot: Using live-snapshot.exclude_list example results' from 'live-boot: Using live-snapshot.exclude_list without live-snapshot.list results in empty snapshot file' Request was from Csaba Kormendy <ckormendy.dev@gmail.com> to control@bugs.debian.org. (Mon, 17 Jan 2011 20:06:06 GMT) Full text and rfc822 format available.

Changed Bug title to '"live-boot: Using live-snapshot.exclude_list example results' from 'live-boot: Using live-snapshot.exclude_list example results' Request was from Csaba Kormendy <ckormendy.dev@gmail.com> to control@bugs.debian.org. (Mon, 17 Jan 2011 21:03:11 GMT) Full text and rfc822 format available.

Changed Bug title to 'live-boot: Using live-snapshot.exclude_list example results' from '"live-boot: Using live-snapshot.exclude_list example results' Request was from Csaba Kormendy <ckormendy.dev@gmail.com> to control@bugs.debian.org. (Mon, 17 Jan 2011 21:27:03 GMT) Full text and rfc822 format available.

Changed Bug title to 'live-boot: Using live-snapshot.exclude_list example' from 'live-boot: Using live-snapshot.exclude_list example results' Request was from Csaba Kormendy <ckormendy.dev@gmail.com> to control@bugs.debian.org. (Mon, 17 Jan 2011 21:48:02 GMT) Full text and rfc822 format available.

Changed Bug title to 'live-boot: live-snapshot.exclude_list comment problem' from 'live-boot: Using live-snapshot.exclude_list example' Request was from Csaba Kormendy <ckormendy.dev@gmail.com> to control@bugs.debian.org. (Mon, 17 Jan 2011 22:27:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#610337; Package live-boot. (Mon, 17 Jan 2011 22:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Csaba Kormendy <ckormendy.dev@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 17 Jan 2011 22:45:07 GMT) Full text and rfc822 format available.

Message #30 received at 610337@bugs.debian.org (full text, mbox):

From: Csaba Kormendy <ckormendy.dev@gmail.com>
To: 610337@bugs.debian.org
Subject: Re: Bug#610337: live-boot: live-snapshot.exclude_list comment problem
Date: Mon, 17 Jan 2011 14:42:45 -0800
There is something about the comments in
/usr/share/doc/live-boot/examples/live-snapshot.exclude_list
that cause a problem for live-snapshot.  I end up with an empty 
live-sn.cpio.gz file if I use the example file verbatim.

To reproduce:

1) Boot system using debian-sq-live-rc1-i386-gnome-desktop.iso from USB
flash device, memory stick, etc.

2) Use boot parameters: initrd=/live/initrd1.img boot=live config
persistent quickreboot timezone=America/Los_Angeles 
BOOT_IMAGE=/live/vmlinuz1

3) After booting has completed, enter "sudo live-snapshot" at shell prompt.

4) Copy the resultant live-sn.cpio.gz file to root directory of USB 
flash device.

5) Boot system again using the same boot parameters as in step 2.

6) Copy /usr/share/doc/live-boot/examples/live-snapshot.exclude_list
to /etc/live-snapshot.exclude_list.

7) Shut down the system and inspect the live-sn.cpio.gz file.


Csaba




Changed Bug title to 'live-snapshot.exclude_list comment problem' from 'live-boot: live-snapshot.exclude_list comment problem' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 13 Jul 2011 01:00:02 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Fri, 04 Nov 2011 11:21:36 GMT) Full text and rfc822 format available.

Notification sent to Csaba Kormendy <ckormendy.dev@gmail.com>:
Bug acknowledged by developer. (Fri, 04 Nov 2011 11:21:43 GMT) Full text and rfc822 format available.

Message #37 received at 610337-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 610337-close@bugs.debian.org
Subject: Bug#610337: fixed in live-boot 3.0~a22-1
Date: Fri, 04 Nov 2011 11:18:28 +0000
Source: live-boot
Source-Version: 3.0~a22-1

We believe that the bug you reported is fixed in the latest version of
live-boot, which is due to be installed in the Debian FTP archive:

live-boot-doc_3.0~a22-1_all.deb
  to main/l/live-boot/live-boot-doc_3.0~a22-1_all.deb
live-boot-initramfs-tools_3.0~a22-1_all.deb
  to main/l/live-boot/live-boot-initramfs-tools_3.0~a22-1_all.deb
live-boot_3.0~a22-1.debian.tar.gz
  to main/l/live-boot/live-boot_3.0~a22-1.debian.tar.gz
live-boot_3.0~a22-1.dsc
  to main/l/live-boot/live-boot_3.0~a22-1.dsc
live-boot_3.0~a22-1_all.deb
  to main/l/live-boot/live-boot_3.0~a22-1_all.deb
live-boot_3.0~a22.orig.tar.gz
  to main/l/live-boot/live-boot_3.0~a22.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 610337@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-boot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 04 Nov 2011 11:37:28 +0100
Source: live-boot
Binary: live-boot live-boot-doc live-boot-initramfs-tools
Architecture: source all
Version: 3.0~a22-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-boot  - Debian Live - System Boot Scripts
 live-boot-doc - Debian Live - System Boot Scripts (documentation)
 live-boot-initramfs-tools - Debian Live - System Boot Scripts (initramfs-tools backend)
Closes: 610337
Changes: 
 live-boot (3.0~a22-1) unstable; urgency=low
 .
   [ Daniel Baumann ]
   * Using compression level 9 also for binary packages.
   * Updating matching in is_nice_device to, amongst others, match for
     virtio devices.
   * Include overlayfs modules in initramfs if existing.
 .
   [ Marco Amadori ]
   * Fix live-snapshot exclude.list handling (Closes: #610337)
 .
   [ Daniel Baumann ]
   * Sorting overrides in rules alphabetically.
Checksums-Sha1: 
 7feea19ed43f18e271a3f91b763d640eec8841af 1386 live-boot_3.0~a22-1.dsc
 d080102e28b993bdff4b7b9d4e45531a393d4fc2 111634 live-boot_3.0~a22.orig.tar.gz
 0de2504dfb637b889c577a7789e1d6b11c63b041 20479 live-boot_3.0~a22-1.debian.tar.gz
 43dc3a1035e03725ab37c7d9bc95cbdd84dc8ff4 20288 live-boot_3.0~a22-1_all.deb
 7efcb880af58f7dcf811b41dde950240cf17524e 64604 live-boot-doc_3.0~a22-1_all.deb
 f89f47d2086609c6513deed3157bbdb1786166ee 33000 live-boot-initramfs-tools_3.0~a22-1_all.deb
Checksums-Sha256: 
 3cc061e5149baaa3ef4c2435f5d8f88d8ee32a515279afbd596e5a9d7a2371a3 1386 live-boot_3.0~a22-1.dsc
 d4df03e17056b41209f3a2ea0931365bed18e227930a783128abbae7f0c8c46c 111634 live-boot_3.0~a22.orig.tar.gz
 7f5e9c59e31aee3df1214567db6ef7d06230d1991120a4560e8823ce55728b9f 20479 live-boot_3.0~a22-1.debian.tar.gz
 ff0e3bf6d08d932258cc3c6357ef814cdf8c3a835783d00ac98a4c297b55128b 20288 live-boot_3.0~a22-1_all.deb
 0beb2226b82cd148b2ad872f997ad1449ae77af892391748578940c8ba17c520 64604 live-boot-doc_3.0~a22-1_all.deb
 dda60b41d56e4486b006e85da40014ce9e362d6cf3281e08327691feedb3d301 33000 live-boot-initramfs-tools_3.0~a22-1_all.deb
Files: 
 7bbb4e5110007d196e4ebc3f33f04b1f 1386 misc optional live-boot_3.0~a22-1.dsc
 822eb97a0abdd5d6fa3df3f78dd75acf 111634 misc optional live-boot_3.0~a22.orig.tar.gz
 8075154076b6c19fa149da3823ad2484 20479 misc optional live-boot_3.0~a22-1.debian.tar.gz
 806a8248fa682aa6dfc7f15aee5b8e53 20288 misc optional live-boot_3.0~a22-1_all.deb
 581ad4af169c470e76e8271874dc6ed2 64604 doc optional live-boot-doc_3.0~a22-1_all.deb
 1f3b515b960516e02f14da64a20d7905 33000 misc optional live-boot-initramfs-tools_3.0~a22-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk6zxxEACgkQ+C5cwEsrK54FMwCg2teDnHfLt4l/wbMQ7V5HlHAH
2PkAoJY+OgI4KkW7U/d6WDf+whuwITXg
=AwO2
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 13 Dec 2011 07:35:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:17:23 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.